Subject: Re: bug#9900: Using a guardian on a value in a weak hash

From: [email-masked] (Ludovic Courtès)
Date: Mon, 19 Dec 2011 00:38:29 +0100

Hi!

Andy Wingo <[email-masked]> skribis:

> On Wed 14 Dec 2011 22:49, [email-masked] (Ludovic Courtès) writes:
>
>> Hello!
>>
>> It could be a coincidence, but the “Unused modules are removed” test has
>> been failing on i686-linux-gnu since commit
>> fb135e12a473fd9a1612a59f904cfb90877fe775 (according to
>> <http://hydra.nixos.org/build/1574623>.)
>>
>> I can’t see how this commit could lead to a reference leak that would
>> make the test fail, but I wanted to double-check with you.
>>
>> Ideas?
>
> Is the stack-clearing code not doing its job, somehow?  Hummmm.

Well, there was no stack-clearing code before anyway, so I can’t see how
this could be the problem.  Yet, it’s annoying.  ;-)

The failure shows up on i686 and not on x86_64.

Thanks,
Ludo’.